3 votos

Visor de equipo instalar el problema de la dependencia

Estoy usando Ubuntu 16.04 LTS 64 bit. He intentado instalar teamviewer con archivo deb.

$sudo dpkg -i teamviewer_12.0.76279_i386.deb 

Selecting previously unselected package teamviewer:i386.
(Reading database ... 175695 files and directories currently installed.)
Preparing to unpack teamviewer_12.0.76279_i386.deb ...
Unpacking teamviewer:i386 (12.0.76279) ...
dpkg: dependency problems prevent configuration of teamviewer:i386:
 teamviewer:i386 depends on libdbus-1-3.
 teamviewer:i386 depends on libexpat1.
 teamviewer:i386 depends on libfontconfig1.
 teamviewer:i386 depends on libsm6.

 dpkg: error processing package teamviewer:i386 (--install):
 dependency problems - leaving unconfigured
 Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
 Processing triggers for desktop-file-utils (0.22-1ubuntu5) ...
 Processing triggers for bamfdaemon (0.5.3~bzr0+16.04.20160701-0ubuntu1) ...
 Rebuilding /usr/share/applications/bamf-2.index...
 Processing triggers for mime-support (3.59ubuntu1) ...
 Processing triggers for hicolor-icon-theme (0.15-0ubuntu1) ...
 Errors were encountered while processing:
  teamviewer:i386

Luego revisé y confirmó las versiones de 64 bits de los paquetes instalados.

$dpkg-query -s libexpat1:amd64
Status: install ok installed

$dpkg-query -s libsm6:amd64
Status: install ok installed

$dpkg-query -s libdbus-1-3:amd64
Status: install ok installed

$dpkg-query -s libfontconfig1:amd64
Status: install ok installed

También comprobé que si soporte multiarquitectura instalado

$dpkg -l | grep multiarch
ii  multiarch-support    2.23-0ubuntu3    amd64  

También probé

sudo apt-get -f install

pero no cambia nada.

3voto

Yaron Puntos 435

El oficial instrucciones de instalación para el Equipo de Visor de usar interfaz de usuario son:

Para instalar TeamViewer en tu sistema Ubuntu, siga estos pasos:

  1. Descarga la versión completa de TeamViewer bajo http://www.teamviewer.com/download.
  2. Abra el teamviewer_linux.archivo deb con un doble clic. El TeamViewer paquete de instalación se abrirá en el Centro de Software de Ubuntu.
  3. Haga clic en el botón Instalar. La Autenticar cuadro de diálogo se abrirá.
  4. Introduzca la contraseña de administración. Haga clic en el botón Autenticar. TeamViewer será instalado. El estado en el Centro de Software de Ubuntu cambios Instalado. TeamViewer está instalado en su sistema Ubuntu.

Instalar mediante una línea de comandos:

Para la instalación de TeamViewer, te recomendamos usar el instalador gráfico, como se describió anteriormente.

  • Si prefiere utilizar la línea de comandos, o si no hay un instalador gráfico disponible, puede utilizar uno de estos comandos como administrador:

    apt install teamviewer_12.0.xxxxx_i386.deb
    
  • Los sistemas más antiguos (Ubuntu 14.04, Debian 7 y abajo)

    Ejecute este comando:

    dpkg -i teamviewer_12.0.xxxxx_i386.deb
    
  • En caso de que dpkg indica que faltan dependencias, completar la instalación ejecutando el siguiente comando:

    apt-get install -f
    

GDebi General de la herramienta para instalar los paquetes deb con sus dependencias

También puede instalar .deb archivo con gdebi.

  • Install gdebi:

    sudo apt-get install gdebi-core
    
  • Instalar .los paquetes deb con gdebi:

    sudo gdebi filename.deb
    

0voto

mehmet riza oz Puntos 16

Problema se resuelve después de restaurar sources.list como se explica en el siguiente enlace

Por favor ayuda! sudo apt-get update error (versión lts de ubuntu 16.04)

EnMiMaquinaFunciona.com

EnMiMaquinaFunciona es una comunidad de administradores de sistemas en la que puedes resolver tus problemas y dudas.
Puedes consultar las preguntas de otros sysadmin, hacer tus propias preguntas o resolver las de los demás.

Powered by: